/* General styling */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Raleway', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: black;
    font-weight: 600;
    background-image: url(../images/background.png);
}

/* Header */
header {
    background-image: url(../images/background.png);
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    box-shadow: 0 10px 10px darkred;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 50px;
}

.logo img {
    height: 50px;
}

.navigation ul {
    list-style: none;
    margin: 0;
    padding: 0px 30px;
    display: flex;
    gap: 20px;
}

.navigation ul li a {
    text-decoration: none;
    color: white;
    font-weight: 600;
}

.navigation ul li a:hover {
    color: gold;
}

/* Dropdwon */
.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown span {
    background-color: transparent;
    color: white;
    font-size: 16px;
    font-weight: 600;
    border: none;
    cursor: pointer;
}

.dropdown span::after {
    content: '\25BC'; /* Unicode for downward arrow */
    font-size: 12px;
    margin-left: 10px;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover span {
    color: gold;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color:darkgray;
    border-radius: 5px;
    min-width: 300px;
    box-shadow: 0 10px 10px gold;
    z-index: 1;
    font-weight: 600;
}

.dropdown-content a {
    color: white;
    padding: 12px 16px;
    border-radius: 5px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: gold;
    color: black;
    font-weight: 600;
    box-shadow: 0 10px 10px gold;
}

/* Login */
.login button {
    padding: 10px 20px;
    background-image: url(../images/background.png);
    color: white;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
    box-shadow: 0px 0px 5px 5px white;
}

.login button:hover {
    background-color: aqua;
    color: gold;
}

/* banner home */
.banner-home {
    width: 100%;
    padding: 0;
    justify-content: center;
    text-align: center;
    display: flex;
}
.banner {
    display: none;
}

.banner img {
    width: 100%;
    height: 610px;
    object-fit: cover;
}

.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -22px;
    color: white;
    font-weight: bold;
    font-size: 24px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

.prev {
    left: 0;
}

.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from { opacity: 0.4; }
    to { opacity: 1; }
}

/* Main */
.main-container {
    padding: 0;
    justify-content: space-between;
    text-align: center;
    width: 100%;
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
}

/* left-container */
.kiri-container {
    width: 20%;
}

.left-container {
    position: sticky;
    top: 60px;
    padding-bottom: 5px;
    border: solid white 2px;
}

.left-container ul {
    list-style: none;
}

.left-container h1 {
    background-image: url(../images/background.png);
    color: white;
    padding: 10px;
    flex: 1;
    font-size: 24px;
    font-weight: 600;
    box-shadow: 0px 0px 5px 5px darkred;
    text-align: center;
    border-radius: 10px;
    border: solid white 2px;
}

.left-container li {
    background: #f9f9f9;
    color: #0b0a31;
    margin: 10px 0;
    font-weight: 600;
    padding: 5px;
    border-left: 5px solid darkred;
    box-shadow: 0px 0px 5px 5px darkred;
    cursor: pointer;
    border-radius: 10px;
}

.date {
    font-style: italic;
    color: black;
    text-align: left;
    margin-left: 10px;
}
.announcement {
    color: black;
    text-align: left;
    margin-left: 10px;
}

/* center-container */
.center-container {
    width: 50%;
    box-shadow: 0px 0px 5px 5px darkred;
    margin-bottom: 5px;
    background-image: url(../images/background.png);
    border-radius: 10px;
}

.center-container h1 {
    background-image: url(../images/background.png);
    color: white;
    padding: 10px;
    flex: 1;
    font-size: 24px;
    font-weight: 600;
    box-shadow: 0px 0px 5px 5px darkred;
    text-align: center;
    border-radius: 10px;
    border: solid white 2px;
}

.btn-view-all {
    display: inline-block;
    background-image: url(../images/background.png);
    border: solid white 2px;
    color: white;
    padding: 15px;
    margin-top: 5px;
    border-radius: 5px;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 800;
    box-shadow: 0px 0px 5px 5px darkred;
    width: 100%;
}

/* Sambutan Kepsek */
.sambutan {
    background-color: white;
    border-radius: 10px;
    padding: 10px;
    padding-top: 0px;
    border: solid darkred 5px;
}

.foto-kepsek {
    margin-top: 20px;
    margin-bottom: 20px;
    width: 60%;
    height: 300px;
    border: solid white 2px;
    border-radius: 10px;
    box-shadow: 0px 0px 5px 5px darkred;
}

.sambutan p {
    padding: 10px;
    padding-left: 60px;
    padding-right: 60px;
    font-weight: 800;
    color: black;
}

.sambutan a {
    font-style: italic;
    color: #0b0a31;
}

/* Kegiatan */
.kegiatan {
    background-color: white;
    border-radius: 10px;
    padding: 10px;
    justify-content: center;
    text-align: center;
    border: solid darkred 5px;
}

.kegiatansekolah {
    padding-top: 10px;
    justify-content: left;
    text-align: center;
    display: flex;
    width: 100%;
    margin-bottom: 15px;
}

.card {
    width: 40%;
    background-color: gold;
    border-radius: 10px;
    overflow: hidden;
    text-align: center;
    box-shadow: 0px 0px 5px 5px darkred;
    display: flex;
    flex-direction: column;
    margin-left: 10px;
    border: solid white 2px;
}

.date-card {
    background-image: url(../images/background.png);
    color: white;
    padding: 10px;
    font-size: 24px;
    text-align: center;
    font-weight: bold;
    display: block;
}

.card img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    box-shadow: 0px 0px 5px 5px darkred;
    align-content: center;
    border: solid white 2px;    
}

.card-content {
    width: 60%;
    border-radius: 10px;
    box-shadow: 0px 0px 5px 5px darkred;
}
.card-content h3 {
    padding: 15px;
    padding-top: 30px;
    font-weight: 800;
    font-style: italic;
    font-size: 20px;
}

.card-content p {
    padding-left: 15px;
    padding-right: 15px;
    text-align: justify;
    margin-left: 15px;
    margin-bottom: 0px;
}

.card-content a {
    padding-left: 15px;
    padding-right: 15px;
    font-style: italic;
    margin-top: 0;
    text-align: justify;
}

.admin {
    display: flex;
    align-items: center;
    margin-top: 50px;
    padding: 15px;
    padding-bottom: 5px;
    margin-left: 15px;
    font-style: italic;
}

.admin img {
    height: 20px;
    width: 20px;
    margin-right: 10px;
    object-fit: cover;
}

/* Bahan Ajar */
.bahanajar {
    background-color: white;
    border-radius: 10px;
    padding: 10px;
    justify-content: center;
    text-align: center;
    border: solid darkred 5px;
}

.ajar {
    padding-top: 10px;
    justify-content: center;
    text-align: center;
    display: flex;
    width: 100%;
    margin-bottom: 15px;
    gap: 20px;
}

.belajar {
    width: 25%;
    background-color: white;
    border-radius: 10px;
    overflow: hidden;
    text-align: center;
    box-shadow: 0px 0px 5px 5px darkred;
    display: flex;
    flex-direction: column;
    margin-left: 10px;
    border: solid white 2px;
    text-decoration: none;
}

.belajar img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    box-shadow: 0px 0px 5px 5px darkred;
    align-content: center;
    border: solid white 2px;    
}

.kelas {
    background-image: url(../images/background.png);
    color: white;
    padding: 10px;
    font-size: 24px;
    text-align: center;
    font-weight: bold;
    display: block;
}

/* Prestasi */
.prestasi {
    background-color: white;
    border-radius: 10px;
    padding: 10px;
    justify-content: center;
    text-align: center;
    border: solid darkred 5px;
}

.prestasisekolah {
    border-radius: 10px;
    justify-content: left;
    text-align: left;
    display: flex;
    width: 100%;
    margin-top: 10px;
    margin-bottom: 10px;
    box-shadow: 0px 0px 5px 5px darkred;
    gap: 20px;
    padding: 10px;
}

.prestasisekolah img {
    width: 50%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    box-shadow: 0px 0px 5px 5px darkred;
    align-content: center;
    border: solid white 2px;    
}

.juara-content {
    padding: 10px;
}

.juara-content img {
    height: 15px;
    width: 15px;
    margin-right: 10px;
    object-fit: cover;
    box-shadow: 0px 0px 5px 5px darkred;
}

.juara-content h2 {
    margin-top: 10px;
    font-size: 24px;
    font-weight: 600;
    font-family: 'Gill Sans MT';
    font-style: italic;
    border-bottom: solid darkred 3px;
}

.juara-content p {
    font-family: 'Gill Sans MT';
    font-size: 20px;
    margin-top: 5px;
}

.adminprestasi img {
    height: 20px;
    width: 20px;
    margin-right: 10px;
    object-fit: cover;
    box-shadow: 0px 0px 5px 5px darkred;
}

.adminprestasi {
    display: flex;
    align-items: center;
    margin-top: 5px;
    padding-bottom: 5px;
    font-style: italic;
}

/* right-container */
.right-container {
    width: 20%;
}

.kanan-container {
    position: sticky;
    top: 60px;
    padding-bottom: 5px;
    border: solid white 2px;
}

.kanan-container h1 {
    background-image: url(../images/background.png);
    color: white;
    padding: 10px;
    flex: 1;
    font-size: 24px;
    font-weight: 600;
    box-shadow: 0px 0px 5px 5px darkred;
    text-align: center;
    border-radius: 10px;
    border: solid white 2px;
}

.foto {
    display: none;
}

.foto h6 {
    text-align: center;
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 12px;
    margin-top: 0px;
    margin-bottom: 0px;
    font-family: Georgia, 'Times New Roman', Times, serif;
    color: white;
    background-image: url(../images/background.png);
    border-radius: 10px;
    box-shadow: 0px 0px 5px 5px darkred;
    border: solid white 2px;
}

.slide-image {
    width: 100%;
    height: 300px;
    border-radius: 10px;
    border: solid;
    border: solid white 2px;
    object-fit: cover;
    align-content: center;
    margin: 10px 0;
    box-shadow: 0px 0px 5px 5px darkred;
}

.sel {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes sel {
    from { opacity: 0.4; }
    to { opacity: 1; }
}

/* kontak */
.footer-container {
    display: flex;
    height: auto;
    background-color: white;
    gap: 30px;
}

.footer-info {
    width: 100%;
    padding: 10px;
    text-align: center;
    margin-top: 30px;
}

.footer-info p {
    margin: 10px 0;
}

.social-icons {
    gap: 10px;
    text-align: center;
}

.social-icons img {
    width: 50px;
}

.footer-map {
    width: 100%;
    padding: 10px;
    text-align: center;
}

.denah {
    width: 100%;
    height: 250px;
    border-radius: 10px;
    margin-top: 0px;
    margin-bottom: 0px;
    object-fit: cover;
    box-shadow: 0px 0px 5px 5px darkred;
}

.footer-contact {
    width: 100%;
    padding: 10px;
    text-align: center;
    margin-top: 30px;
}

.footer-contact h3 {
    margin-bottom: 10px;
    font-weight: 600;
    font-size: 24px;
}

.footer-contact a {
    color: black;
    text-decoration: none;
}

.footer-contact p {
    margin: 5px 0;
    font-style: italic;
}

.copyright {
    text-align: center;
    background-color: #00224c;
    padding: 10px 0;
    margin-top: 20px;
    color: white;
}

/* Footer */
footer {
    display: flex;
    bottom: 0;
    justify-content: center;
    padding: 10px;
    align-items: center;
    text-align: center;
    background-image: url(../images/background.png);
    color: white;
    border-top: solid #c4b002 1px;
}

footer p {
    background-color: transparent;
    font-size: 14px;
    font-weight: 600;
}

.warna-gold {
    color: gold;
    font-style: italic;
}

/* UNDER */
.halaman h5 {
    width: 100%;
    padding: 10px;
    justify-content: center;
    text-align: center;
    display: flex;
    margin-top: 60px;
    background-color: gold;
    font-size: 32px;
    box-shadow: 0px 0px 5px 5px darkred;
}
.under {
    width: 100%;
    padding: 10px;
    justify-content: center;
    text-align: center;
    display: flex;
}

.back button {
    display: inline-block;
    background-image: url(../images/background.png);
    border: solid white 2px;
    color: white;
    padding: 15px;
    margin-top: 5px;
    border-radius: 5px;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 800;
    box-shadow: 0px 0px 5px 5px darkred;
    width: 100%;
    cursor: pointer;
}
